---
search:
  tags:
    - Training
    - POST
seo:
  description: >-
    Adds a set to an exercise slot for one week, copying the last set's targets.
    Reference for the POST /api/training/slots/{id}/sets endpoint in the skcal
    API.
sidebar:
  label: Add a set
  badge: POST
title: Add a set
type: openapi-operation
---
Adds a set to an exercise slot for one week, copying the last set's targets.

`POST /api/training/slots/{id}/sets`

**Request body** (`application/json`, required)

The week to add the set to.

- `week` (integer, required) — Week number.

Request body example:

```json
{
  "week": 2
}
```

**Responses**

- `200` — The new set.
- `400` — The request body or parameters failed validation.
- `404` — No matching resource owned by the caller.

Response example, 200:

```json
{
  "ok": true,
  "week": 2,
  "day": 1,
  "exerciseName": "Barbell Bench Press",
  "muscle": "chest"
}
```
